Bug 1573082 - annobin: Compiled without annobin annotations
Summary: annobin: Compiled without annobin annotations
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: annobin
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-30 07:33 UTC by Florian Weimer
Modified: 2019-05-28 21:49 UTC (History)
2 users (show)

Fixed In Version: annobin-5.2-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:49:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-04-30 07:33:36 UTC
annobin itself is not compiled with annotations, i.e. the file

/usr/lib/gcc/x86_64-redhat-linux/8/plugin/annobin.so.0.0.0

lacks them.  I think we need to compile it twice, the second time with the first plugin, and ship/install the results of the second build, which will contain annotations.  Maybe even three times to check for convergence.

This would also serve as a nice smoketest during the package process.

Comment 1 Nick Clifton 2018-04-30 15:52:44 UTC
Hi Florian,

  Hmm - are annotations turned off when building plugins ?  I had assumed
  that they would be enabled.

  Anyway, I have gone ahead and implemented rebuilding the plugin with itself
  enabled on the compiler command line, as this does seem like a good idea.
  I baulked at rebuilding it for a third time as this seemed to be a little
  bit over the top.  The notes should not affect the performance of the
  plugin in any way.

  One thing I have not tested yet, is what happens if the plugin is enabled
  twice on the command line.  Theoretically this would produce double the
  notes, but that should not matter to the consumers, and they would be
  eliminated if the notes are ever merged.  But that is in theory, I have
  yet to check this in practice.

Cheers
  Nick

New annobin versions:
  annobin-5.2-2.fc28
  annobin-5.6-2.fc29

Comment 2 Nick Clifton 2018-07-11 09:50:33 UTC
I have updated the annobin spec file to rebuild the plugin with itself as a plugin during the process.  This actually works!  So now the plugin has annobin notes of its own.

Comment 3 Ben Cotton 2019-05-02 21:20:02 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 21:49:34 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.